import * as  VueRouter from "vue-router"

/**
 *
 * @type {Readonly<VueRouter.RouteRecordRaw[]>}
 */
const routes = [
    {
        path: '/',
        component: ()=>import("frontend/src/views/Home.vue"),
        meta: {
            title: "首页"
        }
    },
    {
        path: "/test",
        component: ()=>import("frontend/src/views/Test.vue"),
        meta: {
            title: "测试"
        }
    }
]

const Router = VueRouter.createRouter({
    history: VueRouter.createWebHashHistory(),
    routes
})
export default Router
